Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPierre-Charles David2017-04-14 09:07:27 +0000
committerPierre-Charles David2017-05-11 07:13:13 +0000
commitbd19882606afb0d0acbdba127fa6b5a9418a0607 (patch)
tree032448c0f0fcb3ca9dd60036d599f6af69689040 /plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
parent508ac0a00bc745082b470ee57381aa8e510b0cd8 (diff)
downloadorg.eclipse.sirius-bd19882606afb0d0acbdba127fa6b5a9418a0607.tar.gz
org.eclipse.sirius-bd19882606afb0d0acbdba127fa6b5a9418a0607.tar.xz
org.eclipse.sirius-bd19882606afb0d0acbdba127fa6b5a9418a0607.zip
[507474] Update Guava range to [15.0,22.0)
This includes v15 which was in Neon, and v21 which will be in Oxygen, the two Eclipse versions we support in Sirius 5.0. Also normalize the way we depend on Guava to use Require-Bundle everywhere. It's not the OSGi-recommended way, but it means we don't depend on Orbit to have all the package versions right every time and makes things simpler to manage by being consistent. Bug: 507474 Change-Id: I2a69e5721cb90bafa58edd90f2fa50b710f87a8c Signed-off-by: Pierre-Charles David <pierre-charles.david@obeo.fr>
Diffstat (limited to 'plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF')
-rw-r--r--plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF2
1 files changed, 1 insertions, 1 deletions
diff --git a/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF b/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
index 67caf497c0..2b06dff725 100644
--- a/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
@@ -44,7 +44,7 @@ Export-Package: org.eclipse.sirius.diagram.sequence;version="2.1.0",
org.eclipse.sirius.diagram.sequence.util;version="3.0.0"
Require-Bundle: org.eclipse.sirius.common;bundle-version="4.0.0",
org.eclipse.sirius.ecore.extender;bundle-version="4.0.0",
- com.google.guava;bundle-version="[11.0.2,16.0)",
+ com.google.guava;bundle-version="[15.0,22.0)",
org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
org.eclipse.draw2d;bundle-version="3.9.0",
org.eclipse.sirius.diagram;bundle-version="4.0.0";visibility:=reexport,

Back to the top